
/*
 * Copyright (C) 2004-2005 Maximilian Schwerin
 *
 * This file is part of oxine a free media player.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: disc_fam.h 3417 2008-05-22 09:49:43Z mschwerin $
 *
 */

#ifndef HAVE_DISC_FAM_H
#define HAVE_DISC_FAM_H

#include "oxine.h"
#include "types.h"
#include "filelist.h"

bool fam_monitor_start (void);
bool fam_monitor_free (void);

void fam_monitor_poll (bool enable);

void fam_monitor_add_list (filelist_t * filelist);
void fam_monitor_del_list (filelist_t * filelist);

#endif /* HAVE_DISC_FAM_H */
